
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何正确配置基于Informix数据库的WPS v6.12集群应用系统 / iVAN</title>

    <meta name="description" content="如何正确配置基于Informix数据库的WPS v6.12集群应用系统 引言 基于SOA并且实现各种业界标准的WebSphere Process Server(以下称为WPS),主要用于实现人.工作流.应用程序.系统.平台和体系结构的业务流程自动化.当前越来越多的企业用户选择基于WPS搭建集成的业务系统,如金融,通信等.它们要求系统的高吞吐量和高可用性.在实际的规划和实施中,采用集群的配置和部署是通用且有效的方式.本文章主要阐述在Unix 环境(AIX,Solaris或者HP-UX)下,如何安装WPS v6.1.2 产品和基于Informix v9.4 数据库配置集">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何正确配置基于Informix数据库的WPS v6.12集群应用系统</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>引言</p>
<p>基于SOA并且实现各种业界标准的WebSphere Process Server（以下称为WPS），主要用于实现人、工作流、应用程序、系统、平台和体系结构的业务流程自动化。当前越来越多的企业用户选择基于WPS搭建集成的业务系统，如金融，通信等。它们要求系统的高吞吐量和高可用性。在实际的规划和实施中，采用集群的配置和部署是通用且有效的方式。本文章主要阐述在Unix 环境（AIX，Solaris或者HP-UX）下，如何安装WPS v6.1.2 产品和基于Informix v9.4 数据库配置集群的详细步骤。</p>
<p>WPS 集群的配置过程中需要的硬件和软件如下：</p>
<p>2 台操作系统为AIX，Solaris或者HP-UX的Unix主机</p>
<p>WPS V6.1.2</p>
<p>Informix Dynamic Server 9.4 UC8</p>
<p>Informix JDBC driver 3.00 JC3</p>
<p>WPS 集群拓扑结构</p>
<p>WPS 集群（Cluster）作为一个整体为用户提供应用程序访问，而用户不需要关注集群底层的具体实现细节。</p>
<p>本文描述了远程消息传递和远程支持集群环境的搭建配置过程。这个集群环境由三个集群组成，具体的拓扑结构是：</p>
<p>应用程序集群，不但为应用程序提供工作负载管理以及URL和EJB 请求故障转移功能，而且还部署了BPC和HTM 容器，提供了对长业务流程和人工业务流程的应用程序的支持。</p>
<p>远程消息集群，运行WPS默认提供的四个总线（SCA应用，SCA系统，BPC和CEI）提供独立的高效的消息引擎。</p>
<p>远程支持集群，部署通用事件体系结构和业务规则管理等其他应用程序，提供异步的事件查询。</p>
<p>此种集群模式的具体拓扑结构如图1 所示。</p>
<p>图1 集群环境的拓扑结构</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTQzMzVXMzE3LTAuanBn.jpg"><br />这三个集群配置在两台机器的不同的节点上，即三个集群的成员水平部署在两台机器上。在一个集群中的两个成员是该集群中完全相同的副本。消息传递引擎、业务支持和业务流程应用程序分别位于不同的集群上，所以可以根据实际业务负载和硬件环境，灵活调配所需的资源。这种模式，也称为黄金拓扑，是 WPS 中最复杂的拓扑结构，是大多数企业集成应用用户的首选，具有如下优点：</p>
<p>可靠性。将所有的应用、消息引擎和通用事件部署在三个集群上面，方便管理和使用。</p>
<p>可扩展性。因为系统中的消息引擎处于的关键地位，可能存在之后的访问需求增长等扩展需要，单独创建消息引擎集群可以很方便实行这一点。</p>
<p>对于系统运行时可能遇到的处理量非常大和可伸缩性等问题，通过将通用事件基础架构（CEI）和应用程序分离，可以确保这两个组件不会争用相同的资源（内存和CPU）。此拓扑还能帮助创建集中的事件服务器以处理来自多个源的事件。</p>
<p>所有的应用服务器由 Deployment Manager 统一管理，降低了系统管理的复杂度。</p>
<p>安装前的注意事项</p>
<p>在集群环境的安装过程中，需要同步两台主机的信息，确保它们之间能够良好的通信。主要同步的信息包括两台主机的系统时间、时区设置，并确保两台机器的时间差在5分钟之内，如果时间差超过5分钟，联合操作将失败。</p>
<p>更新两台主机的hosts 文件（默认目录为/etc/hosts ），确保每台机器均包含对方的host name 和对应的IP 地址，以便主机间的相互访问。</p>
<p>在使用向导安装和配置概要时，请按照从上到下的顺序输入配置参数，对于WPS V6.12 ，输入顺序的改变有可能导致未知错误。</p>
<p>集群环境的搭建步骤</p>
<p>Informix 数据库规划</p>
<p>WPS的集群环境需要后台数据库的支持。为了提高集群在实际运行中的效率，建议根据功能的不同，创建不同的数据库。数据库的详细信息如下表所示：</p>
<p>表 1 数据库具体信息</p>
<table>
<tbody>
<tr>
<td>数据库名称</td>
<td>说明</td>
</tr>
<tr>
<td>WPRCSDB</td>
<td>公共数据库</td>
</tr>
<tr>
<td>EVENT</td>
<td>通用事件体系结构数据库</td>
</tr>
<tr>
<td>CEIDB</td>
<td>通用事件体系结构消息传递引擎数据库</td>
</tr>
<tr>
<td>SCASYSDB</td>
<td>服务组件系统消息传递引擎数据库</td>
</tr>
<tr>
<td>SCAAPPDB</td>
<td>服务组件应用程序消息传递引擎数据库</td>
</tr>
<tr>
<td>BPCDB</td>
<td>业务流程编排器数据库</td>
</tr>
<tr>
<td>BPCME</td>
<td>业务流程编排器消息传递引擎数据库</td>
</tr>
<tr>
<td>OBSVRDB</td>
<td>业务流程编排器事件收集器数据库</td>
</tr>
</tbody>
</table>
<p>注意：本文选择英文语言的数据库安装。如果要安装中文语言的数据库，请参考本文的：在数据源定制属性中添加数据库语言。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 01:03:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e6%b6%88%e6%81%af/" title="消息">消息</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93%e9%9b%86%e7%be%a4/" title="数据库集群">数据库集群</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4%e6%95%b0%e6%8d%ae%e5%ba%93/" title="集群数据库">集群数据库</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4%e9%85%8d%e7%bd%ae/" title="集群配置">集群配置</a>, <a href="https://www.iamivan.net/tag/%e4%b8%9a%e5%8a%a1%e6%b5%81%e7%a8%8b/" title="业务流程">业务流程</a>, <a href="https://www.iamivan.net/tag/%e6%90%ad%e5%bb%ba%e9%9b%86%e7%be%a4/" title="搭建集群">搭建集群</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93%ef%bc%9b%e9%9b%86%e7%be%a4%ef%bc%9b%e9%83%a8%e7%bd%b2/" title="数据库；集群；部署">数据库；集群；部署</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4%e6%90%ad%e5%bb%ba/" title="集群搭建">集群搭建</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何正确配置基于Informix数据库的WPS v6.12集群应用系统的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2L51b.html" rel="bookmark">完全分布模式hadoop集群安装配置之二 添加新节点组成分布式集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前文说到如何搭建集群中第一个节点,这篇将说到如何向集群添加节点.这篇是基于前文的,没有看过前文的可以参考此链接:http://www.cnblogs.com/mikelij/archive/2012/03/06/2380937.html   2 向集群添加节点     前文已经建立了一个节点的hadoop集群.现在要做的添加节点.安装JDK, 创建hadoop用户等见前文.这里就不重复了.   2.1 检查主机名,修改/etc/hostname, /etc/hosts   新节点需要在这个集群里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP1jOAz.html" rel="bookmark">基于云计算的自组织可伸缩网络服务集群系统的设计与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于云计算的自组织可伸缩网络服务集群系统的设计与实现 北京邮电大学  邓学刚 本文阐述了一种基于企业自身的需求,而部署的一种IaaS(基础设施即服务)的私有云平台.首先介绍了云计算在国内外的研究现状和研究成果,以及一些与云计算相关的技术背景,包括体系结构.私有云.服务层次等内容:其次论述了所部署的云平台的需求分析.详细设计和实现的全部过程,同时,基于该云平台之上,设计和实现了一种自组织可伸缩网络服务的集群系统:然后,针对整个云系统的各部分进行详细的测试和分析:最后,对系统开发的成果以及作者开发过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7o6VM.html" rel="bookmark">基于corosync&plus;pacemaker的nginx高可用集群安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.corosync.pacemaker介绍 corosync是用于高可用环境中的提供通讯服务的,它位于高可用集群架构中的底层(Message Layer),扮演着为各节点(node)之间提供心跳信息传递这样的一个角色; pacemaker是一个开源的高可用资源管理器(CRM),位于HA集群架构中资源管理.资源代理(RA)这个层次,它不能提供底层心跳信息传递的功能,它要想与对方节点通信需要借助底层的心跳传递服务,将信息通告给对方.通常它与corosync的结合方式有两种: pacemaker			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm345qb.html" rel="bookmark">centos6下基于session绑定nat模型的lvs集群教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验环境:四台虚拟机,安装的操作系统是CentOS6.5,各自的功能及IP地址如下: Director:     eth0 192.168.2.1(作为VIP使用),eth1:10.0.0.1(作为DIP使用) RS1:     eth0:10.0.0.2 RS2:     eth0:10.0.0.3 数据库服务器:安装的mariadb     eth0:10.0.0.4 拓扑图:  实验步骤: 一.准备数据库服务器,安装mariadb,创建一个用于远程连接数据库的用户,创建一个数据库,用于两台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6E99Xb.html" rel="bookmark">【Hadoop Summit Tokyo 2016】基于容器规格的Apache Hadoop&sol;Spark集群框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本讲义出自Akiyoshi SUGIKI与Phyo Thandar Thant在Hadoop Summit Tokyo 2016上的演讲,主要分享了Hokkaido大学的学术云的发展历史以及对于大数据分析的支撑情况,并介绍了基于容器规格的Apache Hadoop集群框架,以及对于Hadoop的多目标优化方案.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0QZZp.html" rel="bookmark">一脸懵逼学习基于CentOs的Hadoop集群安装与配置（三台机器跑集群）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1:Hadoop分布式计算平台是由Apache软件基金会开发的一个开源分布式计算平台.以Hadoop分布式文件系统(HDFS)和MapReduce(Google MapReduce的开源实现)为核心的Hadoop为用户提供了系统底层细节透明的分布式基础架构.  注意:HADOOP的核心组件有: 1)HDFS(分布式文件系统) 2)YARN(运算资源调度系统) 3)MAPREDUCE(分布式运算编程框架)       Hadoop 中的分布式文件系统 HDFS 由一个管理结点 ( NameNode			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXddmp.html" rel="bookmark">MySQL数据库服务器集群配置详解介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.介绍 这篇文档旨在介绍如何安装配置基于2台服务器的MySQL数据库集群.并且实现任意一台服务器出现问题或宕机时MySQL依然能够继续运行. 注意! 虽然这是基于2台服务器的MySQL集群,但也必须有额外的第三台服务器作为管理节点,但这台服务器可以在集群启动完成后关闭.同时需要注意的是 并不推荐在集群启动完成后关闭作为管理节点的服务器.尽管理论上可以建立基于只有2台服务器的MySQL集群,但是这样的架构,一旦一台服务器宕机之后集 群就无法继续正常工作了,这样也就失去了集群的意义了.出于这个原因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAy7eM.html" rel="bookmark">国产数据库之达梦数据库 - DM7 MPP集群安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				武汉达梦数据库作为国产数据库较有代表性的企业,在数据库研发方面投入了大量的精力,其自主研发的达梦数据库DM7,除了具有单机版可与Oracle相媲美的能力外,同时也研发了一款无共享MPP架构的数据库软件,主要面向在线分析(OLAP)领域. 下面的分享主要参考和使用达梦公司官网提供的下载包及安装文档,感兴趣的同学请自行下载.下载链接:http://www.dameng.com/service/download.shtml 1.MPP集群规划 本集群打算使用2台服务器,每台服务器规划3个数据库实例,总			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPvDOp.html" rel="bookmark">用Aliyun E-MapReduce集群的sqoop工具和数据库同步数据如何配置网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果您的E-MapReduce集群需要和集群之外的数据库同步数据,需要确保网络是联通的.本文就RDS,ecs自搭,云下私有数据库三种情况,分别介绍如何配置网络. 一.RDS 经典网络RDS 想要访问经典网络RDS,EMR(E-MapReduce,下同)最好也指定用经典网络. 经典网络的RDS 可以设置内网地址和外网地址.由于经典网络EMR集群只有master节点可以访问公网,并且sqoop是用map任务同步数据可能在任意节点上运行,所以sqoop任务需要配置连接RDS的内网地址来连接.另外,需要			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM16odp.html" rel="bookmark" class="title">Eclipse学习4－在Eclipse中使用JUnit进行单元测试（下）</a>
					<div>
						使用JUnit测试一个应用程序现在已经准备好测试JN_test应用程序.为了测试,还需要使用JUnit Wizard创建一个新的class来扩展JUnit测试用例.要使用此wizard,请在Packa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWEaAz.html" rel="bookmark" class="title">19天全新网站如何突围2900万索引量热门词到首页</a>
					<div>
						大家好,我是骏Seoer,继昨天发布的&quot;18天全新站极速排名百度首页&quot;一文后,仅隔一天便成功将2900万索引量热门词突围至首页第七名,先放图   其中形象设计排名第7,个人形象设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWgwEM.html" rel="bookmark" class="title">JAVA Hibernate缓存详解</a>
					<div>
						1.缓存介绍 Hibernate中提供了两级Cache,第一级别的缓存是Session级别的缓存,它是属于事务范围的缓存.这 一级别的缓存由hibernate管理的,一般情况下无需进行干预:第二级别的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjEwlp.html" rel="bookmark" class="title">UDP Hole Puching技术：穿透防火墙建立UDP连接</a>
					<div>
						在防火墙上钻孔[UDP Hole Puching]:穿透防火墙建立UDP连接 知道现在流行的P2P软件和IM软件是如何让两台分处在不同防火墙后面的电脑直接对话的吗?SIP当然是一种,还有一种被广泛应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKkXBM.html" rel="bookmark" class="title">Word2007标尺不见了怎么办？如何让标尺显示出来？</a>
					<div>
						Word中&quot;标尺&quot;工具的作用非常大,也许有人经常用它,也许很少有人用到.有了标尺我们可以轻松的调整边距.改变段落的缩进值.设置行距.表格的行高及列宽和进行对齐方式的设置等等.有许多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7aWvb.html" rel="bookmark" class="title">给U盘分区的小技巧</a>
					<div>
						  给U盘分区的小技巧          现在说一下怎么在windows下识别U盘(SD卡)的多分区.也可以在windows下分U盘(SD卡),想分多少就分多少. 一般我们的U盘(SD卡),在我的电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXm9mp.html" rel="bookmark" class="title">Win8如何设置存储空间</a>
					<div>
						  Win8设置存储空间的方法如下: &quot;存储空间&quot;的新功能将利用一个物理存储设施组成数据池.这个数据池将使用 SATA.USB 和 SAS 硬盘创建,并且能够使用额外的硬件扩展.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7rm9M.html" rel="bookmark" class="title">利用Intel MyWifi技术将笔记本变成Wifi热点</a>
					<div>
						前提条件 英特尔My WiFi技术要求建立路由器的这台本本必须有WiFi Link 5000系列无线网卡,目前市场上的绝大多数笔记本都配备了英特尔最新的5000系列网卡. 操作方法 1.下载Intel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EmwvM.html" rel="bookmark" class="title">大白菜u盘装系统综合教程</a>
					<div>
						新手必看:系统文件一般有二种格式:ISO格式和GHO格式.ISO格式又分为原版系统和GHOST封装系统二种.只要用解压软件WinRAR解压后有大于 600M(WIN7一般2G)以上的GHO文件的,是G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaVNaz.html" rel="bookmark" class="title">显示U盘隐藏的文件夹绝招</a>
					<div>
						  1. 先将杀毒软件或360之类的安全软件打开,再将U盘插入电脑,马上安全软件弹出警告提示框(如无风险文件则不提示): 2.但这里面显示的文件或程序是安全软件,就点击&quot;暂不处理&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaEnmM.html" rel="bookmark" class="title">android-Android项目里res&sol;values有一个drawables&period;xml报错？怎么解决</a>
					<div>
						问题描述 Android项目里res/values有一个drawables.xml报错?怎么解决 解决方案 在Eclipse 中 Clean 下试试~ 解决方案二: 鼠标移到x那里看是什么错误 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oPeab.html" rel="bookmark" class="title">关于java的匿名内部类和泛型</a>
					<div>
						问题描述 关于java的匿名内部类和泛型 public class Counter { private static ThreadLocal&lt;Integer&gt; counterContext ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmAymz.html" rel="bookmark" class="title">Laravel 5框架学习之Eloquent （laravel 的ORM）&lowbar;php实例</a>
					<div>
						我们来生成第一个模型 复制代码 代码如下: php artisan make:model Article #输出 Model created successfully. Created Migrati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxla8b.html" rel="bookmark" class="title">oracle中expdp 报错ORA-7445的问题解决方法</a>
					<div>
						某客户说一套数据库由于非正常关机重启之后,进行数据导出发现报错,expdp无法正常工作,报错之后直接退出: 处理对象类型 SCHEMA_EXPORT/JOB . . 导出了 &quot;STATS&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGArKvM.html" rel="bookmark" class="title">【系统那点事】Win10预览篇</a>
					<div>
						乘着现在神智还清楚发下win10安装过程(和win8非常相似)  win10 32位中文版:http://go.microsoft.com/fwlink/?LinkId=510230  win10 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7PX0z.html" rel="bookmark" class="title">【转载】mysql dual 虚拟表</a>
					<div>
						      虚拟表 dual 其实我是今天第一次听说,虽然以前有过它的应用.说不定你也用过哦,看这条 sql:select sysdate(); 熟悉不!?虽然我不是狠熟悉,但我确定我用过它,其实他是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NmRqz.html" rel="bookmark" class="title">微软将在2016年停止对IE8等老版IE技术支持</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 凤凰科技讯北京时间8月8日消息,据科技博客TheNextweb报道,从2016年开始,微软将停止对IE8等老版IE的技术支持和安全更新,以此推动更多用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWRVjp.html" rel="bookmark" class="title">如何获取服务器的文件？</a>
					<div>
						问题描述 我现在需要下载服务器那里的TOMCAT里的文件,现在只知道服务器的IP,请问那个下载路径怎么写啊?求助各位大虾,谢谢!!! 解决方案 解决方案二:这个直接写基本没什么办法吧谁知道管理员把to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRQrmb.html" rel="bookmark" class="title">环信的百度地图与自己项目中调用百度地图的问题</a>
					<div>
						问题描述 我在项目中集成了环信项目,但我现在想利用环信本来带的百度地图的功能在项目中使用,但我自己重新写了一些功能,例如定位和障碍物之类的,但只要调用地图...它就会自动调用环信的EaseBaiduM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLad8p.html" rel="bookmark" class="title">杭电acm n的阶乘 大数-杭电ACM 1042  N的阶乘  大数       问题在我注释的地方</a>
					<div>
						问题描述 杭电ACM 1042 N的阶乘 大数 问题在我注释的地方 #include #include int c[10086]; int main() { int i,j,l,n,k,h; whil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWPGkz.html" rel="bookmark" class="title">编程-为什么我从开源网站上下载的源码全部都无法直接使用&quest;</a>
					<div>
						问题描述 为什么我从开源网站上下载的源码全部都无法直接使用? 好多的包都没有需要自己引入是网站的问题还是上传者的问题? 解决方案 一般开源都是maven工程,你把maven环境搭建好后就把对应jar包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBeQvb.html" rel="bookmark" class="title">在 Cygwin 下编译 netcat&lowbar;1&period;10-38</a>
					<div>
						我在&lt;Linux下用nc实现 DuplexPipe &gt;中提到,Win 版的 netcat 无法实现 DuplexPipe 的功能. 其实 Cygwin 版的 netcat 也是如此.Cyg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRnl1b.html" rel="bookmark" class="title">在Docker中创建应用</a>
					<div>
						本文讲的是在Docker中创建应用,[编者的话]下面内容是在基于Docker,用node.js开发和部署网络应用过程中获得的经验和教训. 本例中,将从头开始开发一个基于Docker的socket.io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5Xjnp.html" rel="bookmark" class="title">jquery中mouseenter和mouseleave事件示例</a>
					<div>
						但是由于javascript的dom事件传播机制,不论鼠标指针穿过被选元素或其子元素,都会触发 mouseover 事件,不论鼠标指针离开被选元素还是任何子元素,都会触发 mouseout 事件. 所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwK53M.html" rel="bookmark" class="title">soapUI的Mocservice仿真测试问题</a>
					<div>
						最近做一个项目,使用了WEBService,但是这个接口是别人提供的并且没有完成,但是WSDL给提供了. 想使用SOAPUI的MOCKSERVICE功能模拟一个WEBService. 首先用AXIS做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEw02M.html" rel="bookmark" class="title">java-新手求助：想在下面那个方法调用上面那个方法的a怎么做，把filename变成上面那个方法获取的值</a>
					<div>
						问题描述 新手求助:想在下面那个方法调用上面那个方法的a怎么做,把filename变成上面那个方法获取的值 System.out.println(&quot;请输入您的文件路径:&quot;); Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgoR9M.html" rel="bookmark" class="title">哈尔滨一名女子接到假警察诈骗电话后在5分钟内7次进出银行</a>
					<div>
						险些将58万元购房款汇给对方.幸亏巡逻民警发现异常,经过40分钟劝说,才幸免上当.360手机安全专家提醒用户,现在骗子伪装成公检法等权威机构进行电话诈骗增多,让用户在紧张之余更难辨别.对此小编推荐,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod9lDM.html" rel="bookmark" class="title">&lpar;求助修改）有关的DataReader</a>
					<div>
						问题描述 目的:用DropDownList中选择一个学生,再用DataGrid中显示他的分数小弟开了2个Access:A)StudentInfo的资料表:StudentIdName1Sam2MayB) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J7n7z.html" rel="bookmark" class="title">MongoDB &CenterDot; 特性分析 &CenterDot; Sharded cluster架构原理</a>
					<div>
						为什么需要Sharded cluster? MongoDB目前3大核心优势:『灵活模式』+ 『高可用性』 + 『可扩展性』,通过json文档来实现灵活模式,通过复制集来保证高可用,通过Sharded  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jk8gp.html" rel="bookmark" class="title">淘宝限量首发威廉王子婚礼纪念版手机</a>
					<div>
						全球第七大手机厂商TCL通讯推出了由英国王室授权的阿尔卡特OT-209威廉王子婚礼纪念版手机,并选择在淘宝商城3周年活动期间,在淘宝商城独家首发,限量2万台.这款手机使用了专门的婚礼纪念外壳,正面为英 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
